gnutls_x509_crt_get_issuer_dn(3)

NAME
gnutls_x509_crt_get_issuer_dn - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_issuer_dn(gnutls_x509_crt_t cert, char * buf, size_t * buf_size);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

char * buf
    a pointer to a structure to hold the name (may be null)

size_t * buf_size
    initially holds the size of buf

DESCRIPTION
This function will copy the name of the Certificate issuer in the provided buffer. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC4514. The output string will be ASCII or UTF-8 encoded, depending on the certificate data. If buf is null then only the size will be filled. This function does not output a fully RFC4514 compliant string, if that is required see gnutls_x509_crt_get_issuer_dn3().

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the buf_size will be updated with the required size. GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the DN does not exist, or another error value on error. On success 0 is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/